Package javax.mail.event

# Interface MessageCountListener

All Superinterfaces:
  `EventListener`

All Known Implementing Classes:
  `MessageCountAdapter`

public interface MessageCountListener extends EventListener
This is the Listener interface for MessageCount events.

Author:
  John Mani

## Method Summary

Modifier and Type
Method
Description
`void`
`messagesAdded(MessageCountEvent e)`
Invoked when messages are added into a folder.
`void`
`messagesRemoved(MessageCountEvent e)`
Invoked when messages are removed (expunged) from a folder.

## Method Details

### messagesAdded

void messagesAdded(MessageCountEvent e)
Invoked when messages are added into a folder.

Parameters:
  `e` - the MessageCountEvent

### messagesRemoved

void messagesRemoved(MessageCountEvent e)
Invoked when messages are removed (expunged) from a folder.

Parameters:
  `e` - the MessageCountEvent